Modify Return Order

View as Markdown

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"
Id of the return order

Headers

shipbob_channel_idstringRequiredformat: "int32"
Channel Id for Operation

Request

Model defining the return
fulfillment_centerobjectRequired
Information about a fulfillment center
inventorylist of objects or nullRequired
Array of inventory items being returned
reference_idstring or nullRequired<=50 characters

Client-defined external unique identifier for the return order

original_shipment_idinteger or nullOptional
Shipment from which the items in the return originated
tracking_numberstring or nullOptional<=500 characters
Tracking number for the return shipment

Response

Success
channelobject or null
Created by channel metadata
completed_datedatetime or null
Completed date for a return order.
customer_namestring or null
Customer name from the related shipment.
fulfillment_centerobject or null
Information about a fulfillment center
idinteger or null
Unique id of the Return Order
insert_datedatetime or null
Date this return order was created
inventorylist of objects or null
List of inventory included in the return order
invoice_amountdouble or null

Invoiced amount of return order (sum of transaction amounts)

original_shipment_idinteger or null
Id of the corresponding shipment that is the souce of the return
reference_idstring or null

Client-defined external unique id of the return order

return_typeenum or null
Regular ReturnToSender
Allowed values:
statusenum or null
AwaitingArrival Arrived Processing Completed Cancelled
Allowed values:
store_order_idstring or null
Store order for the related shipment.
tracking_numberstring or null
Tracking number of the return shipment
transactionslist of objects or null
Array of transactions affiliated with the return order

Errors